PETSc version 3.15.5
Fix/Edit manual page

# DMPlexComputeCellTypes

Infer the polytope type of every cell using its dimension and cone size.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeCellTypes(DM dm)

Collective on dm

### Input Parameter

| mesh | - The DMPlex

DMPlexComputeCellTypes() should be called after all calls to DMPlexSymmetrize() and DMPlexStratify()

Note: This function is normally called automatically by Plex when a cell type is requested. It creates an internal DMLabel named "celltype" which can be directly accessed using DMGetLabel(). A user may disable automatic creation by creating the label manually, using DMCreateLabel(dm, "celltype").

### See Also

DMPlexCreate(), DMPlexSymmetrize(), DMPlexStratify(), DMGetLabel(), DMCreateLabel()

### Level

developer

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages